初心者もOK! FreeBSD質問スレッド まとめサイト @Wiki linux-flashplugin7が不安定ですよね?

※上記の広告は60日以上更新のないWIKIに表示されています。更新することで広告が下部へ移動します。

linux-flashplugin7が不安定ですよね?

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
現状のlinuxpluginwrapperって、ネイティブなfirefoxでflashplayer7は動かないですよね?
flash6が動いて喜んだのもつかの間、けっこう表示されないサイトが多い……

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 >658
6-stable
mozilla-1.7.12_5,2
linux-flashplugin-7.0r61
linuxpluginwrapper-20051113
の組合せで使ってるけど、firefox だとダメなん?


html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 >660
flashのサイトを開いただけで落ちました。別の問題があるのかな。

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 >661
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 flashのサイトを開いただけで落ちました。別の問題があるのかな。
どこのサイト?


html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 >661
rtld.cにパッチがあたっていないとか

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 >662
2ちゃんのトップとか、ここ↓とか、たぶんFLASHを起動した時点で落ちてます。
http://www.nintendo.co.jp/ngc/gk4j/movie/index.html

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 >663
それっぽいですね。コンソールには以下のように出力されました。
/libexec/ld-elf.so.1: /usr/local/lib/pluginwrapper/flash7.so: Undefined symbol "_dlsym"

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 >689


html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 >689 >>663 のまんまやんか...
__weak_reference(dlsym, _dlsym);
を /usr/src/libexec/rtld-elf/rtld.c の中に書いて
make; make install
すれば OK
どっかに, 別の方法が patch で流れてて, そっちの
方が主流らしいが...


html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
ありがとうございます。なんかおかしいと思ったらライブラリのソースが入ってなかった……
やってみます。

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
ばっちり動きました。ありがとうございましす。